#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: tf-random
version: 0.5
id: tf-random-0.5-f1249aa79f84f3be62cfadda3a7da74f
key: tfran_926BwEbiHzi7pBkp4dTxOe
license: BSD3
maintainer: Michał Pałka <michal.palka@chalmers.se>
synopsis: High-quality splittable pseudorandom number generator
description:
    This package contains an implementation of a high-quality splittable pseudorandom number generator. The generator is based on a cryptographic hash function built on top of the ThreeFish block cipher. See the paper /Splittable Pseudorandom Number Generators Using Cryptographic Hashing/ by Claessen, Pałka for details and the rationale of the design.
    .
    The package provides the following:
    .
    * A splittable PRNG that implements the standard '\''System.Random.RandomGen'\'' class.
    .
    * The generator also implements an alternative version of the '\''System.Random.TF.Gen.RandomGen'\'' class (exported from "System.Random.TF.Gen"), which requires the generator to return pseudorandom integers from the full 32-bit range, and contains an n-way split function.
    .
    * An alternative version of the @Random@ class is provided, which is linked to the new @RandomGen@ class, together with @Random@ instances for some integral types.
    .
    * Two functions for initialising the generator with a non-deterministic seed: one using the system time, and one using the @\/dev\/urandom@ UNIX special file.
    .
    The package uses an adapted version of the reference C implementation of ThreeFish from the reference package of the Skein hash function (<https://www.schneier.com/skein.html>), originally written by Doug Whiting.
    .
    Please note that even though the generator provides very high-quality pseudorandom numbers, it has not been designed with cryptographic applications in mind.
category: Random
author: Michał Pałka <michal.palka@chalmers.se>
exposed: True
exposed-modules:
    System.Random.TF System.Random.TF.Gen System.Random.TF.Init
    System.Random.TF.Instances
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/tf-random-0.5
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/tf-random-0.5
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/tf-random-0.5
hs-libraries: HStf-random-0.5-926BwEbiHzi7pBkp4dTxOe
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    primitive-0.6-f39f6bcba2f66e648d35c2c6a451ec07
    random-1.1-3dda2690fd91339395d65768b92ac58f
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/tf-random-0.5/html/tf-random.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/tf-random-0.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
